> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generic Search



## OpenAPI

````yaml /openapi.json post /search/{name}/find
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /search/{name}/find:
    post:
      tags:
        - search
      summary: Generic Search
      operationId: SearchController_genericSearch
      parameters:
        - name: name
          required: true
          in: path
          schema:
            type: string
        - name: productId
          required: true
          in: query
          description: The productId
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigurableSearchInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurableSearchOutput'
components:
  schemas:
    ConfigurableSearchInputBody:
      type: object
      properties:
        search:
          type: array
          items:
            $ref: '#/components/schemas/ConfigurableSearchProperty'
      required:
        - search
    ConfigurableSearchOutput:
      type: object
      properties:
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
        data:
          additionalProperties: true
          description: Array of generic search result objects
          type: array
          items:
            type: object
      required:
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
        - data
    ConfigurableSearchProperty:
      type: object
      properties:
        property:
          type: string
        value:
          type: string
      required:
        - property
        - value
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````